- Qt 5.15
- Qt Quick Controls
- QML Types
- Obsolete Members for Menu
- Qt 5.15.11 Reference Documentation

# Obsolete Members for Menu

The following members of QML type Menu are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Methods

- void removeItem(int index)`(obsolete)`

## Method Documentation

void removeItem(int index)

This method is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use Menu::removeItem(Item) or Menu::takeItem(int) instead.